## epydoc 2.1

=== Makefile ===
############################################################
##  epydoc Makefile
##
##  Edward Loper
############################################################

##//////////////////////////////////////////////////////////////////////
## Configuration variables
##//////////////////////////////////////////////////////////////////////

# Where do man pages and documentation go?
LIB = /usr/share
MAN = ${LIB}/man/
DOC = ${LIB}/doc/

##//////////////////////////////////////////////////////////////////////
## Makefile
##//////////////////////////////////////////////////////////////////////
all: usage
usage:
	@echo "Usage:"
	@echo "  make install -- Install epydoc"
	@echo "  make installdocs -- Install the documentation for epydoc"

install:
	python setup.py install

docs: installdocs
installdocs:
	@test -e ${MAN} || \
	    echo "Could not find ${MAN}; check the makefile variables."
	@test -e ${DOC} || \
	    echo "Could not find ${DOC}; check the makefile variables."
	@test -e ${MAN}
	@test -e ${DOC}
	test -e doc || ln -s ../webpage doc
	test -e man || ln -s ../man man
	cp man/*.1 ${MAN}/man1/
	cp -r doc ${DOC}/epydoc/

##//////////////////////////////////////////////////////////////////////
## These targets should only be called from
## the cvs repository (not from distributions).
##//////////////////////////////////////////////////////////////////////

# Clean.  
#    - Erase any pyc and pyo files.
#    - Get rid of build/dist directories
clean:
	rm -rf build dist MANIFEST
	rm -f *.pyc epydoc/*.pyc epydoc/*/*.pyc
	rm -f *.pyo epydoc/*.pyo epydoc/*/*.pyo
	rm -f doc man 2>/dev/null || true

# Distributions.
# Build all from scratch; and create links for convenient access.
distributions: clean sdist bdist

# Source distributions
sdist: gztardist zipdist

# Built distributions
bdist: rpmdist windist

# Produce dist/$(NAME)-$(VERSION).tar.gz
gztardist:
	test -e doc || ln -s ../webpage doc
	test -e man || ln -s ../man man
	python setup.py -q sdist --format=gztar

# Produce dist/$(NAME)-$(VERSION).tar.gz
zipdist:
	test -e doc || ln -s ../webpage doc
	test -e man || ln -s ../man man
	python setup.py -q sdist --format=zip

# Produce dist/$(NAME)-$(VERSION)-1.noarch.rpm
# Produce dist/$(NAME)-$(VERSION)-1.src.rpm
rpmdist:
	test -e doc || ln -s ../webpage doc
	test -e man || ln -s ../man man
	python setup.py -q bdist --format=rpm

# Produce dist/$(NAME)-$(VERSION).win32.exe
windist:
	test -e doc || ln -s ../webpage doc
	test -e man || ln -s ../man man
	python setup.py -q bdist --format=wininst

## epydoc 3.0.1

=== debian/changelog ===
epydoc (3.0.1-9) unstable; urgency=low

  * Bump standards version to 3.9.1.0 (no packaging changes).
  * Do a better job of handling special latex entries (closes: #614570).
    - Apply debian/patches/special-latex-entries.patch
    - Patch provided by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 02 Mar 2011 16:41:50 +0000

epydoc (3.0.1-8) unstable; urgency=low

  * Revise manpages.patch based on better understanding of GROFF hyphens.
  * Apply python26-tokenizer.patch to fix Epydoc tokenizer (closes: #590112).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 25 Jul 2010 16:04:00 +0000

epydoc (3.0.1-7) unstable; urgency=low

  * Tweak manpage syntax based on advice from Lintian (manpages.patch).
  * Remove version numbers in Conflicts: to quiet Lintian.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 11 Jul 2010 01:54:23 +0000

epydoc (3.0.1-6) unstable; urgency=low

  * Tweak short description to better match official recommendations.
  * Bump standards version to 3.9.0.0.
  * Add Homepage: tag in debian/control.
  * Convert debian/copyright to new DEP-5 machine-readable format.
  * Convert to source format "3.0 (quilt)"
    - Add new file debian/source/format 
    - Add new patch debian/patches/mention-debian.patch
    - Add new patch debian/patches/remove-shebang.patch
    - Add new patch debian/patches/handle-docutils-0.6.patch
    - Add new patch debian/patches/string-exceptions.patch

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 28 Jun 2010 13:27:23 -0500

epydoc (3.0.1-5) unstable; urgency=low

  * Replace deprecated string exception in apidoc.py (closes: #585290).
  * Bump standards version to 3.8.4 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 12 Jun 2010 13:17:07 -0500

epydoc (3.0.1-4) unstable; urgency=low

  * Bump standards version to 3.8.3 (no packaging changes).
  * Add ${misc:Depends} for all binary packages, per lintian recommendation.
  * Apply patch to fix problems with docutils 0.6 (closes: #561793).
    - Thanks to Thomas Hille for research and the initial patch.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 31 Dec 2009 02:56:36 +0000

epydoc (3.0.1-3) unstable; urgency=low

  * Bump standards version to 3.8.1 (no packaging changes).
  * Bump debhelper compatibility to 7, per linitian recommendation.
  * Declare a dependency on debhelper (>= 7.0.1) to match compatibility.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 29 Mar 2009 18:10:30 -0500

epydoc (3.0.1-2) unstable; urgency=low

  * Add Suggests: python-profiler to support call graphs (closes: #506756)
  * List explicit copyright statement in debian/copyright, to quiet lintian.
  * Move user manual to Programming section in doc-base configuration.
  * Bump standards version to 3.8.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon,  8 Dec 2008 18:56:47 -0600

epydoc (3.0.1-1) unstable; urgency=low

  * New upstream release.
  * Removed #! from top of epydoc/gui.py
  * Got rid of version mangling in debian/watch.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun,  3 Feb 2008 13:22:12 -0600

epydoc (3.0~beta1-5) unstable; urgency=low

  * Recommend python-docutils, for reStructuredText markup (closes: #449525).
  * Use qa.debian.org redirector in debian/watch, so SourceForge URL works.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 18 Nov 2007 18:11:59 -0600

epydoc (3.0~beta1-4) unstable; urgency=low

  * Apply a better fix for #441368 (provided by upstream).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 30 Sep 2007 14:01:07 -0500

epydoc (3.0~beta1-3) unstable; urgency=low

  * Remove debian/watch file, which doesn't work any more (thanks, Sourceforge).
  * Apply selected changes from upstream's Subversion repository:
    - Fixes for identifiers containing dashes, svn rev 1606 (closes: #433424)
    - Fixes for indexed terms, svn rev 1603 (closes: #441368)

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 30 Sep 2007 10:23:46 -0500

epydoc (3.0~beta1-2) unstable; urgency=low

  * Put back several single-character command-line options (closes: #433804).
    - Patch cli.py to support the -u and -c options (match the manpage)
    - Patch cli.py, doc/epydoc-man.html and man/epydoc.1 to support the -n option
    - Submitted patches to upstream in SF bug #1760001

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 24 Jul 2007 20:07:18 -0500

epydoc (3.0~beta1-1) unstable; urgency=low

  * Package 3.0 beta 1 release (closes: #425193).
    - Change README.TXT to README.txt in debian/*.docs  
    - Skip installing apirst2html.py until I understand its purpose better
    - Remove dh_links call in debian/rules, since it's not really needed
    - Change debian/control to add Recommends: graphviz (needed for --graph)
    - Thanks to Cameron Dale for initial package upgrade patch 

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon,  9 Jul 2007 21:00:30 -0500

epydoc (2.1-13) unstable; urgency=low

  * Completely rework previous fix for bug #425077 based on further testing.
    - texlive-latex-base is not enough; add texlive-latex-extra, 
      texlive-latex-recommended and texlive-fonts-recommended so
      everything works and the package gets installed cleanly
    - Patch latex.py to use fancyhdr, since fancyheadings isn't in texlive
    - Update README.Debian to reflect changes in recommended dependencies.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun,  3 Jun 2007 18:20:26 -0500

epydoc (2.1-12) unstable; urgency=low

  * Bring Recommends dependencies up to date with lenny (closes: #425077).
    - Recommend texlive-latex-base rather than obsolete tetex-extra
    - Recommend gs-common rather than gs-esp | gs, since this is where ps2pdf lives
    - Recommend iceweasel | www-browser rather than mozilla | www-browser

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun,  3 Jun 2007 14:02:45 -0500

epydoc (2.1-11) unstable; urgency=low



=== debian/control ===
Source: epydoc
Section: python
Priority: optional
Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
Homepage: http://epydoc.sourceforge.net/
Build-Depends: python-support (>= 0.3), debhelper(>= 7.0.1)
Standards-Version: 3.9.1.0

Package: python-epydoc
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: gs-common, python-tk, python-docutils, texlive-latex-base, texlive-latex-extra, texlive-latex-recommended, texlive-fonts-recommended, graphviz
Suggests: epydoc-doc, python-profiler
Conflicts: python2.3-epydoc, python2.2-epydoc, python2.1-epydoc
Replaces: python2.3-epydoc (<< 2.0-2), python2.2-epydoc (<< 2.0-2), python2.1-epydoc (<< 2.0-2)
Description: tool for documenting Python modules
 Epydoc is a tool for generating API documentation for Python modules based on
 their docstrings.  A lightweight markup language called epytext can be used to
 format docstrings and to add information about specific fields, such as
 parameters and instance variables.  Epydoc also understands docstrings written
 in ReStructuredText, Javadoc, and plaintext. 
 .
 This package contains the epydoc and epydocgui commands, their manpages, and
 their associated Python modules.  

Package: epydoc-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: iceweasel | www-browser
Description: tool for documenting Python modules (documentation)
 Epydoc is a tool for generating API documentation for Python modules based on
 their docstrings.  A lightweight markup language called epytext can be used to
 format docstrings and to add information about specific fields, such as
 parameters and instance variables.  Epydoc also understands docstrings written
 in ReStructuredText, Javadoc, and plaintext.
 .
 This package contains the API reference and usage information for Epydoc, all
 available through the Debian documentation system (dhelp, dwww, doc-central,
 etc.) in the Devel section.

=== debian/rules ===
#!/usr/bin/make -f

build_dir   = build
install_dir = debian/tmp
setup       = /usr/bin/python ./setup.py --quiet

binary: binary-indep

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installman
	dh_install --list-missing --sourcedir $(install_dir) -X apirst2html.py
	dh_fixperms
	dh_compress -X.py
	dh_pysupport -d
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

install: build
	dh_testdir
	dh_testroot
	dh_installdirs 

build: build-stamp
build-stamp: 
	dh_testdir
	$(setup) build --build-base $(build_dir) install --no-compile --install-purelib $(install_dir)/lib/epydoc --install-scripts $(install_dir)/bin
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(setup) clean
	find . -name "*.pyc" | xargs rm -f
	find . -name "*.pyo" | xargs rm -f
	rm -rf $(build_dir) $(install_dir)
	dh_clean

.PHONY: binary binary-indep install build clean

=== debian/watch ===
# This watch file uses the qa.debian.org redirector so that SourceForge URLs work
version=3
http://sf.net/epydoc/epydoc-(.*)\.tar\.gz

## epydoc 3.0.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,9 @@
 MAN = ${LIB}/man/
 DOC = ${LIB}/doc/
 
+# What version of python to use?
+PYTHON = python
+
 ##//////////////////////////////////////////////////////////////////////
 ## Makefile
 ##//////////////////////////////////////////////////////////////////////
@@ -23,7 +26,7 @@
 	@echo "  make installdocs -- Install the documentation for epydoc"
 
 install:
-	python setup.py install
+	$(PYTHON) setup.py install
 
 docs: installdocs
 installdocs:
@@ -66,23 +69,23 @@
 gztardist:
 	test -e doc || ln -s ../webpage doc
 	test -e man || ln -s ../man man
-	python setup.py -q sdist --format=gztar
+	$(PYTHON) setup.py -q sdist --format=gztar
 
 # Produce dist/$(NAME)-$(VERSION).tar.gz
 zipdist:
 	test -e doc || ln -s ../webpage doc
 	test -e man || ln -s ../man man
-	python setup.py -q sdist --format=zip
+	$(PYTHON) setup.py -q sdist --format=zip
 
 # Produce dist/$(NAME)-$(VERSION)-1.noarch.rpm
 # Produce dist/$(NAME)-$(VERSION)-1.src.rpm
 rpmdist:
 	test -e doc || ln -s ../webpage doc
 	test -e man || ln -s ../man man
-	python setup.py -q bdist --format=rpm
+	$(PYTHON) setup.py -q bdist --format=rpm
 
 # Produce dist/$(NAME)-$(VERSION).win32.exe
 windist:
 	test -e doc || ln -s ../webpage doc
 	test -e man || ln -s ../man man
-	python setup.py -q bdist --format=wininst
+	$(PYTHON) setup.py -q bdist --format=wininst

=== debian/changelog ===
epydoc (3.0.1+dfsg-17) unstable; urgency=medium

  * Convert Debian packaging from Subversion to Git.
  * Bump standards version to 4.1.3.0 (no packaging changes).
  * Add Lintian override for warning about Python 2 dependency.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 03 Jan 2018 02:35:12 +0000

epydoc (3.0.1+dfsg-16) unstable; urgency=medium

  * Start dealing with the fact that Epydoc has no support for Python 3.
    - Add NEWS.Debian to nudge users toward discontinuing use of Epydoc
    - Add Lintian override for python-foo-but-no-python3-foo
  * Remove "Testsuite: autopkgtest" from debian/control per Lintian warning.
  * Bump standards version to 4.1.1.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 12 Nov 2017 20:39:48 +0000

epydoc (3.0.1+dfsg-15) unstable; urgency=medium

  * Fix manpage typos discovered by Lintian.
  * Bump standards version to 4.0.0.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 02 Jul 2017 20:46:17 +0000

epydoc (3.0.1+dfsg-14) unstable; urgency=medium

  * Fix line endings in deterministic-sort-2.patch.
  * Add new patch weakref-types.patch (closes: #827416).
    - This is a request from the Reproducible Builds project
    - This patch removes memory addresses for weakref.* instances

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 16 Jun 2016 06:47:36 -0500

epydoc (3.0.1+dfsg-13) unstable; urgency=medium

  * Bump standards version to 3.9.8.0 (no packaging changes).
  * Add new patch manpage-types.patch.
    - This patch fixes several misspellings discovered by Lintian.
  * Add new patch deterministic-sort-2.patch (closes: #825968).
    - This is a request from the Reproducible Builds project
    - This patch makes several more types of ordering deterministic
  * Change X-Python-Version from 2.1 to 2.4 in debian/control.
    - This is necessary to support deterministic-sort-2.patch
    - Practically, there is no effect, since Debian only has Python 2.7

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 13 Jun 2016 11:29:34 -0500

epydoc (3.0.1+dfsg-12) unstable; urgency=medium

  * Rename honour_source_date_epoch.patch to source-date.patch
  * Adjust build-time.patch so comments are more consistent with other patches.
  * Adjust source-date.patch so comments are more consistent with other patches.
  * Add new patch deterministic-sort.patch (closes: #795835).
    - This is a request from the Reproducible Builds project
    - This patch makes class and modules ordering predictable
  * Add new patch hide-memory-addresses.patch (closes: #795826).
    - This is a request from the Reproducible Builds project
    - This patch fixes __repr__ so memory addresses don't appear in docs

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 17 Aug 2015 21:01:13 -0500

epydoc (3.0.1+dfsg-11) unstable; urgency=medium

  * Remove diffutils from build deps; not necessary because it's essential.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 11 Aug 2015 18:12:45 -0500

epydoc (3.0.1+dfsg-10) unstable; urgency=medium

  * Add support for the Debian continuous integration environment.
    - Update debian/control to list Testsuite: autopkgtest
    - Add debian/tests/control to list tests for CI environment
    - Update debian/rules to run smoke tests via debian/smoketest
    - Add build deps on diffutils to support the smoke tests

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 11 Aug 2015 20:28:07 +0000

epydoc (3.0.1+dfsg-9) unstable; urgency=medium

  * Fix all patches to eliminate the unnecessary leading # character.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 05 Aug 2015 13:53:49 -0500

epydoc (3.0.1+dfsg-8) unstable; urgency=medium

  * Add patches/honour_source_date_epoch.patch (closes: #790899)
    - This is a request from the Reproducible Builds project
    - The new patch adds support for SOURCE_DATE_EPOCH to generate timestamps.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 12 Jul 2015 15:37:33 +0000

epydoc (3.0.1+dfsg-7) unstable; urgency=medium

  * Update Recommends and Suggests for both python-epydoc and epydoc-doc.
    - epydoc-doc: Recommend the chromium browser rather than iceweasel, since
      that is the browser I test with day-to-day. 
    - python-epydoc: move ghostscript and texlive dependencies to Suggests to
      reduce the minimum install size for typical users (texlive is huge).
  * Update the Description for python-epydoc.
    - Update the description to indicate that suggested dependencies must be
      installed to generate documentation in DVI, PostScript, or PDF format
      using the LaTeX formatter.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 10 May 2015 16:57:28 +0000

epydoc (3.0.1+dfsg-6) unstable; urgency=medium

  * Bump standards version to 3.9.6.1 (no packaging changes).
  * Update debian/copyright to list 2015 as the copyright date on my changes.
  * Add dh-python to Build-Depends, to silence build-time warning.
  * Add patches/build-time.patch (closes: #783326).
    - This is a request from the Reproducible Builds project
    - The new patch adds a new --no-include-build-time command-line option

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 28 Apr 2015 13:18:13 +0000

epydoc (3.0.1+dfsg-5) unstable; urgency=medium

  * Fix Lintian bug in debian/copyright: empty-short-license-in-dep5-copyright.
  * Bump standards version to 3.9.6.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 03 Oct 2014 19:52:32 +0000

epydoc (3.0.1+dfsg-4) unstable; urgency=low

  * Bump standards version to 3.9.5.0 (no packaging changes).
  * Fix Lintian warning privacy-breach-logo for doc/index.html.
    - Add new patch patches/lintian.patch
    - Remove <IMG src="http://sourceforge.net/sflogo.php?group_id=32455&type=1">
    - Replace with simple text "SourceForge", with no privacy implications

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 23 Feb 2014 09:39:10 -0600



=== debian/control ===
--- 
+++ 
@@ -3,14 +3,17 @@
 Priority: optional
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: http://epydoc.sourceforge.net/
-Build-Depends: python-support (>= 0.3), debhelper(>= 7.0.1)
-Standards-Version: 3.9.1.0
+Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), dh-python
+Standards-Version: 4.1.3.0
+X-Python-Version: >= 2.4
+Vcs-Browser: https://salsa.debian.org/debian/epydoc
+Vcs-Git: https://salsa.debian.org/debian/epydoc.git
 
 Package: python-epydoc
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
-Recommends: gs-common, python-tk, python-docutils, texlive-latex-base, texlive-latex-extra, texlive-latex-recommended, texlive-fonts-recommended, graphviz
-Suggests: epydoc-doc, python-profiler
+Recommends: python-tk, python-docutils, graphviz
+Suggests: epydoc-doc, python-profiler, ghostscript, texlive-latex-base, texlive-latex-extra, texlive-latex-recommended, texlive-fonts-recommended
 Conflicts: python2.3-epydoc, python2.2-epydoc, python2.1-epydoc
 Replaces: python2.3-epydoc (<< 2.0-2), python2.2-epydoc (<< 2.0-2), python2.1-epydoc (<< 2.0-2)
 Description: tool for documenting Python modules
@@ -22,12 +25,16 @@
  .
  This package contains the epydoc and epydocgui commands, their manpages, and
  their associated Python modules.  
+ .
+ Epydoc supports two output formatters: HTML and LaTeX.  You must install the
+ suggested dependencies in order to generate documentation in DVI, PostScript,
+ or PDF format using the LaTeX formatter.
 
 Package: epydoc-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: iceweasel | www-browser
+Recommends: chromium | www-browser
 Description: tool for documenting Python modules (documentation)
  Epydoc is a tool for generating API documentation for Python modules based on
  their docstrings.  A lightweight markup language called epytext can be used to

=== debian/tests/control ===
# Build Epydoc documentation for a sample Python module
Tests: htmldocs
Depends: @, diffutils

=== debian/watch ===
# This watch file uses the qa.debian.org redirector so that SourceForge URLs work
version=3
opts=dversionmangle=s/\+dfsg// \
http://sf.net/epydoc/epydoc-(.*)\.tar\.gz
